# std::bad_alloc Class Reference

Inheritance diagram for std::bad_alloc:

List of all members.

## Detailed Description

`bad_alloc` (or classes derived from it) is used to report allocation errors from the throwing forms of `new`.

Definition at line 58 of file new.

## Public Member Functions

- bad_alloc () throw ()
- virtual const char * what () const throw ()

## Member Function Documentation

virtual const char* std::bad_alloc::what | ( |  | ) | const throw ()`[virtual]`

Returns a C-style character string describing the general cause of the current error.

Reimplemented from std::exception.

The documentation for this class was generated from the following file:

- new